Subject: Comments on draft-salam-l2vpn-evpn-oam-req-frmwk and draft-vgovindan-l2vpn-evpn-bfd

From: Gregory Mirsky <[email-masked]>
Date: Tue, 19 Nov 2013 12:56:17 +0000

Dear Authors, et. al,
very useful and timely raised questions. Please find my comments to both documents below. Greatly appreciate your kind consideration and am looking forward to the discussion.

                Regards,
                                Greg

draft-salam-l2vpn-evpn-oam-req-frmwk-01

  *   Use cases. Multi-carrier E-VPN. Ethernet Service OAM is instrumented, through MEG Level hierarchy, to present customer, provider, and operator scopes of OAM. If multi-carrier E-VPN is viable use case, then support of MEP and its functionalities becomes a MUST for provider and operator scopes. Then, if multi-carrier E-VPN is viable use case, there might be new requirements towards E-VPN Network OAM.
  *   Sec.1.1 s/Public/Packet/
  *   CFM ... defines concept ... Maintenance Association ...
  *   Sec.1.3 MEG, Maintenance Entity Group, is object of Y.1731 equivalent to MA of CFM. Note that MEG is used in MPLS-TP OAM as well.
  *   Definition of MIP is not correct. MIP can terminate certain OAM, both Ethernet and MPLS-TP, frames, e.g. ETH-LB.
  *   Maintenance Domain, as mentioned in 1.1, is object of CFM and is not used in Y.1731. Suggest use consistent terminology, either CFM or Y.1731.
  *   Figure 2, can use EFM (Ethernet First Mile) OAM instead of 802.3 OAM. (Note that there are two Figure 2 in the document - Section 2.1 and Section 3.1.1.2.1)
  *   Section 2.2
     *   Characterize whether MEP on PEs SHOULD be Up, Down or both.
  *   Section 2.4
     *   Would BFD (RFC 5880, RFC 5881, RFC 5883, RFC 5884, and RFC 5885) be applicable as well as RFC 6428?
  *   Section 2.6
     *   I think that OAM interworking is most useful when it exists between proactive OAM mechanisms whether it in peer-to-peer or client-server model. I don't see that there's requirement of proactive Network OAM. Should there be one? E.g. "E-VPN Network OAM SHOULD provide both proactive and on-demand mechanisms of monitoring its data plane operation and data plane conformance to state of its control plane."
  *   Section 3.1.1
     *   Please consider splitting the sentence in two with the second being like "... without time bound. Certain actions, e.g. protection switchover or alarm indication signaling, could be associated with events of entering and clearing fault state".
  *   Section 3.1.1.1
     *   I think that another term for "a specified path taken by a particular user data flow" is "in-band monitoring".
     *   I think that monitoring of "representative path" may not be reliable test of MEP hosting node liveliness. As I understand, it still verification of the MEP liveliness but out-band. Or it is implied that the target of this monitoring is not the MEP but an ID associated with the node where the MEP defined? Then wouldn't that be verification of a control plane rather than data plane operation?
     *   What is understood as "test flow"? Is that using methods of active monitoring/measurements when specifically constructed test packets being injected vs. passive monitoring/measurements when data flow(s) used to monitor and measure performance?
     *   "Monitoring of all ECMP paths between MEPs is not a requirement for E-VPN OAM." Is in regard to concurrent monitoring all paths between two (?) MEPs or to problem of exercising particular paths at-will?
     *   I'm not sure that the last requirement is applicable to E-VPN Service OAM. CFM and/or Y.1731 would not be used differently when monitoring unicast only or unicast and multicast services.
  *   Section 3.1.1.2.2
     *   What is understood by "support RDI"? Is it merely ability to signal LoC defect to remote MEP(s) or ability, as well, to recognize RDI from a remote MEP? Should note that in multipoint MA RDI is not really useful as indicator of unidirectional fault since there's no indication of with which MEP the sender detected LoC defect. If unidirectional LoC is likely not guarantee of bi-directional fault, then MA MUST be p2p.
  *   Section 3.1.2.2
     *   Connectivity Verification vs. Continuity Check. There's reference to "connectivity faults" in the first paragraph. Should it be changed to "continuity" or on-demand OAM, at least in E-VPN Service OAM, required to detect mis-connectivity? If "yes", why the same is not applicable to proactive OAM for E-VPN Service?
  *   Section 3.2
     *   I wouldn't refer to scheduled on-demand PM tests as "proactive" since these are still bound in time unlike proactive that are not bound in time.
     *   But there is at least one example of truly proactive LM in Y.1731 that uses ETH-CC frames. So, there's a distinction between proactive and on-demand PM.
  *   Section 3.2.1
     *   Use of Synthetic LM is usually in out-of-service state as test frames expected to be statistically representative of real data flow. LM in mp2mp network can be constructed of set of p2p LM metrics.
draft-vgovindan-l2vpn-evpn-bfd-00
*         Section 2.1.1
o   If there's a need to have BFD session per ECMP path/EL how such session can be demuxed at the tail if at the bootstrap it would allocate only one myDiscriminator per source IP/FEC combination?
o   Effectively, IMO, there are separate p2p BFD sessions between head and tail of mp2p tunnel. Right?
*         Section 3
o   Since two types of BFD encapsulation available, I think it would be better to require that only one type be used to monitor particular E-VPN at its Network level. Should it say "The same type of BFD encapsulation, either IP or VCCV, MUST be used to monitor all tunnels of the particular E-VPN at its Network level."
o   s/G-Ach/G-ACh/
*         Section 4
o   Not clear which BFD modes can be used and in what manner as on-demand OAM to troubleshoot and localize fault. AFAIK, BFD-based OAM used primarily as proactive continuity check and LSP Ping as on-demand troubleshooting tool.

---

From: "Samer Salam (ssalam)" <[email-masked]>
Date: Wed, 20 Nov 2013 22:25:32 +0000

Thank you Greg for your review and comments. Will incorporate them in the next revision of the oam-req-frmwk draft.

Regards,
Samer

From: Gregory Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 19 November, 2013 4:56 AM
To: Samer Salam <[email-masked]<mailto:[email-masked]>>, "Ali Sajassi (sajassi)" <[email-masked]<mailto:[email-masked]>>, "Sam Aldrin ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "John E Drake ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "Vengada Prasad Govindan (venggovi)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Comments on draft-salam-l2vpn-evpn-oam-req-frmwk and draft-vgovindan-l2vpn-evpn-bfd

Dear Authors, et. al,

                Regards,
                                Greg

  *   Use cases. Multi-carrier E-VPN. Ethernet Service OAM is instrumented, through MEG Level hierarchy, to present customer, provider, and operator scopes of OAM. If multi-carrier E-VPN is viable use case, then support of MEP and its functionalities becomes a MUST for provider and operator scopes. Then, if multi-carrier E-VPN is viable use case, there might be new requirements towards E-VPN Network OAM.
  *   Sec.1.1 s/Public/Packet/
  *   CFM … defines concept … Maintenance Association …
  *   Sec.1.3 MEG, Maintenance Entity Group, is object of Y.1731 equivalent to MA of CFM. Note that MEG is used in MPLS-TP OAM as well.
  *   Definition of MIP is not correct. MIP can terminate certain OAM, both Ethernet and MPLS-TP, frames, e.g. ETH-LB.
  *   Maintenance Domain, as mentioned in 1.1, is object of CFM and is not used in Y.1731. Suggest use consistent terminology, either CFM or Y.1731.
  *   Figure 2, can use EFM (Ethernet First Mile) OAM instead of 802.3 OAM. (Note that there are two Figure 2 in the document – Section 2.1 and Section 3.1.1.2.1)
  *   Section 2.2
     *   Characterize whether MEP on PEs SHOULD be Up, Down or both.
  *   Section 2.4
     *   Would BFD (RFC 5880, RFC 5881, RFC 5883, RFC 5884, and RFC 5885) be applicable as well as RFC 6428?
  *   Section 2.6
     *   I think that OAM interworking is most useful when it exists between proactive OAM mechanisms whether it in peer-to-peer or client-server model. I don’t see that there’s requirement of proactive Network OAM. Should there be one? E.g. “E-VPN Network OAM SHOULD provide both proactive and on-demand mechanisms of monitoring its data plane operation and data plane conformance to state of its control plane.”
  *   Section 3.1.1
     *   Please consider splitting the sentence in two with the second being like “… without time bound. Certain actions, e.g. protection switchover or alarm indication signaling, could be associated with events of entering and clearing fault state”.
  *   Section 3.1.1.1
     *   I think that another term for “a specified path taken by a particular user data flow” is “in-band monitoring”.
     *   I think that monitoring of “representative path” may not be reliable test of MEP hosting node liveliness. As I understand, it still verification of the MEP liveliness but out-band. Or it is implied that the target of this monitoring is not the MEP but an ID associated with the node where the MEP defined? Then wouldn’t that be verification of a control plane rather than data plane operation?
     *   What is understood as “test flow”? Is that using methods of active monitoring/measurements when specifically constructed test packets being injected vs. passive monitoring/measurements when data flow(s) used to monitor and measure performance?
     *   “Monitoring of all ECMP paths between MEPs is not a requirement for E-VPN OAM.” Is in regard to concurrent monitoring all paths between two (?) MEPs or to problem of exercising particular paths at-will?
     *   I’m not sure that the last requirement is applicable to E-VPN Service OAM. CFM and/or Y.1731 would not be used differently when monitoring unicast only or unicast and multicast services.
  *   Section 3.1.1.2.2
     *   What is understood by “support RDI”? Is it merely ability to signal LoC defect to remote MEP(s) or ability, as well, to recognize RDI from a remote MEP? Should note that in multipoint MA RDI is not really useful as indicator of unidirectional fault since there’s no indication of with which MEP the sender detected LoC defect. If unidirectional LoC is likely not guarantee of bi-directional fault, then MA MUST be p2p.
  *   Section 3.1.2.2
     *   Connectivity Verification vs. Continuity Check. There’s reference to “connectivity faults” in the first paragraph. Should it be changed to “continuity” or on-demand OAM, at least in E-VPN Service OAM, required to detect mis-connectivity? If “yes”, why the same is not applicable to proactive OAM for E-VPN Service?
  *   Section 3.2
     *   I wouldn’t refer to scheduled on-demand PM tests as “proactive” since these are still bound in time unlike proactive that are not bound in time.
     *   But there is at least one example of truly proactive LM in Y.1731 that uses ETH-CC frames. So, there’s a distinction between proactive and on-demand PM.
  *   Section 3.2.1
     *   Use of Synthetic LM is usually in out-of-service state as test frames expected to be statistically representative of real data flow. LM in mp2mp network can be constructed of set of p2p LM metrics.
draft-vgovindan-l2vpn-evpn-bfd-00
·         Section 2.1.1
o   If there’s a need to have BFD session per ECMP path/EL how such session can be demuxed at the tail if at the bootstrap it would allocate only one myDiscriminator per source IP/FEC combination?
o   Effectively, IMO, there are separate p2p BFD sessions between head and tail of mp2p tunnel. Right?
·         Section 3
o   Since two types of BFD encapsulation available, I think it would be better to require that only one type be used to monitor particular E-VPN at its Network level. Should it say “The same type of BFD encapsulation, either IP or VCCV, MUST be used to monitor all tunnels of the particular E-VPN at its Network level.”
o   s/G-Ach/G-ACh/
·         Section 4
o   Not clear which BFD modes can be used and in what manner as on-demand OAM to troubleshoot and localize fault. AFAIK, BFD-based OAM used primarily as proactive continuity check and LSP Ping as on-demand troubleshooting tool.

---

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Thu, 21 Nov 2013 16:36:02 +0000

Hello Greg,
  Thanks for your comments, please find replies inlined with GVP1>
Prasad

From: Samer Salam (ssalam)
Sent: Thursday, November 21, 2013 3:56 AM
To: Gregory Mirsky; Ali Sajassi (sajassi); Sam Aldrin ([email-masked]); John E Drake ([email-masked]); Vengada Prasad Govindan (venggovi); [email-masked]
Subject: Re: Comments on draft-salam-l2vpn-evpn-oam-req-frmwk and draft-vgovindan-l2vpn-evpn-bfd

Regards,
Samer

Dear Authors, et. al,

                Regards,
                                Greg

  *   Section 2.4

  *   Section 2.6

  *   Section 3.1.1

  *   Section 3.1.1.1

  *   Section 3.1.1.2.2

  *   Section 3.1.2.2

  *   Section 3.2

  *   Section 3.2.1

     *   Use of Synthetic LM is usually in out-of-service state as test frames expected to be statistically representative of real data flow. LM in mp2mp network can be constructed of set of p2p LM metrics.
draft-vgovindan-l2vpn-evpn-bfd-00
*         Section 2.1.1
o   If there's a need to have BFD session per ECMP path/EL how such session can be demuxed at the tail if at the bootstrap it would allocate only one myDiscriminator per source IP/FEC combination?
o   Effectively, IMO, there are separate p2p BFD sessions between head and tail of mp2p tunnel. Right?
GVP1> Agreed, separate P2P BFD session(s) are needed between the head and the tail of a MP2P tunnel. If entropy labels are used one BFD session and hence one discriminator is needed for each entropy label used by the Source IP/FEC combination. This text would be clarified in the next revision.
*         Section 3
o   Since two types of BFD encapsulation available, I think it would be better to require that only one type be used to monitor particular E-VPN at its Network level. Should it say "The same type of BFD encapsulation, either IP or VCCV, MUST be used to monitor all tunnels of the particular E-VPN at its Network level."
o   s/G-Ach/G-ACh/
GVP1> Agreed. Will clarify the text.
*         Section 4
o   Not clear which BFD modes can be used and in what manner as on-demand OAM to troubleshoot and localize fault. AFAIK, BFD-based OAM used primarily as proactive continuity check and LSP Ping as on-demand troubleshooting tool.
 GVP1> The intent of this Section is to highlight the possible scalability issues that could arise. The term demand-driven manner was used to imply that BFD could be turned ON and OFF as desired, instead of an ALWAYS-ON mode. Do you have any suggestions to improve the text here? Please let us know.